Maxim Dounin Wrote:
-------------------------------------------------------
>
> The following patch should fix this, please test if it works for 
> you:
> 
> # HG changeset patch
> # User Maxim Dounin <mdou...@mdounin.ru>
> # Date 1520919437 -10800
> #      Tue Mar 13 08:37:17 2018 +0300
> # Node ID 649427794a74c74eca80c942477d893678fb6036
> # Parent  0b1eb40de6da32196b21d1ed086f7030c10b40d2
> Configure: fixed static compilation with OpenSSL 1.1.1-pre2.
> 
> OpenSSL now uses pthread_atfork(), and this requires -lpthread on
> Linux.
> Introduced NGX_LIBPTHREAD to add it as appropriate, similar to
> existing
> NGX_LIBDL.
> 

Patch works beautifully for me.

Thanks Maxim!

Posted at Nginx Forum: 
https://forum.nginx.org/read.php?2,279002,279019#msg-279019

_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx

Reply via email to